package com.example.libreria;

import com.example.libreria.controller.LoanController;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ListView;

public class LoanList extends ListActivity {

	public AdaptadorLoans adaptador;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.loan_list);
		adaptador = new AdaptadorLoans(this);
		setListAdapter(adaptador);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		//getMenuInflater().inflate(R.menu.menu_book_list, menu);

		return true;
		/** true -> el men ya est visible */

	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {

		/*switch (item.getItemId()) {
		case R.id.menu_buscar:
			lanzarVistaLugar(null);
			break;
		case R.id.acercaDe:
			lanzarAcercaDe(null);
			break;
		}*/
		return true;
		/** true -> consumimos el item, no se propaga */
	}


	
	@Override
	protected void onListItemClick(ListView listView, View vista, int posicion, long id){
	   super.onListItemClick(listView, vista, posicion, id);
	   Intent i = new Intent(this, BookView.class);
	   i.putExtra("id", LoanController.elemento((int)id).getBook().getId());
	   startActivity(i);
	}
}
