package com.example.libreria.entities;

import java.util.Date;

public class Loan {

	private int id;
	private Book book;
	private Date date;
	private String name;
	private int contactid;
	private int contactlookup;

	
	public Loan() {
		this.book = null;
		this.date = new Date();
		this.name = "";
		this.contactid = 0;
		contactlookup= 0;
	}
	
	public Loan(Book book, Date date, int contactid, String name,int contactlookup) {
		this.book = book;
		this.date = date;
		this.name = name;
		this.contactid = contactid;
		this.contactlookup = contactlookup;
	}

	public Book getBook() {
		return book;
	}

	public void setBook(Book book) {
		this.book = book;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getContactid() {
		return contactid;
	}

	public void setContactid(int contactid) {
		this.contactid = contactid;
	}

	public int getContactlookup() {
		return contactlookup;
	}

	public void setContactlookup(int contactlookup) {
		this.contactlookup = contactlookup;
	}

	
}
